QGIS Application - Bug report #11000
QgsExpression target format
2014-08-03 03:29 AM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19342
Description

Expressions are currently evaluated without taking the target field type into account. This leads to strange behavior. Values are
sometimes formatted for representation, but are not adjusted in memory.

| propose to add a method to define a target field on an expression. After evaluating an expression, the result should be converted to
match these specifications of the target field (length, precision, type).

Related issues:
Related to QGIS Application - Bug report # 10993: Virtual fields: if selectin... Closed 2014-07-31
Related to QGIS Application - Bug report # 10995: Virtual fields: graduated s... Closed 2014-07-31

Associated revisions

Revision 7318¢c730 - 2014-10-06 10:18 AM - Matthias Kuhn
Convert values to target field format

For the field calculator and virtual fields.

Fix #11000

Fix #10995
Fix #10993

History

#1 - 2014-10-06 01:19 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"7318¢c73012a2¢7245f5ac7a268a457ae84f0a4de".

2025-04-27 1/1




